3iQ The Bitcoin Fund

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/3iq-the-bitcoin-fund/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

4 metrics
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/3iq-the-bitcoin-fund/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 108.29,
    "date": "2026-09-30",
    "high": 109.67,
    "open": 109.67,
    "close": 108.29,
    "volume": 600
  },
  {
    "low": 109.0,
    "date": "2026-10-01",
    "high": 110.5,
    "open": 109.0,
    "close": 110.49,
    "volume": 1400
  },
  {
    "low": 109.92,
    "date": "2026-10-02",
    "high": 113.44,
    "open": 113.44,
    "close": 110.64,
    "volume": 2958
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/3iq-the-bitcoin-fund/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/3iq-the-bitcoin-fund/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 13.57,
  "six_month_return": 21.58,
  "three_month_return": 39.73
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/3iq-the-bitcoin-fund/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": "-",
  "total_btc_percentage": 0.032,
  "share_price_change_state": "up"
}
Not available for this company
  • bitcoin-acquisitions (Bitcoin Acquisitions) returns 404 {"error":"Data unavailable for this company"}
  • bitcoin-holdings (Bitcoin Holdings) returns 404 {"error":"Data unavailable for this company"}
  • bitcoin-holdings-usd (Bitcoin Holdings USD) returns 404 {"error":"Data unavailable for this company"}